Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 3851)
@@ -1905,5 +457,36 @@
       ALLOCATE( diag_aod670_dustsco(klon)  )
       ALLOCATE( diag_aod865_dustsco(klon)  )
-
+      !AS: les 15 vars _terra et 15 _aqua suivantes sont groupees differemment dans spla_output_write.h
+      ALLOCATE( aod550_terra(klon))
+      ALLOCATE( aod550_tr2_terra(klon))
+      ALLOCATE( aod550_ss_terra(klon))
+      ALLOCATE( aod550_dust_terra(klon))
+      ALLOCATE( aod550_dustsco_terra(klon))
+      ALLOCATE( aod670_terra(klon))
+      ALLOCATE( aod670_tr2_terra(klon))
+      ALLOCATE( aod670_ss_terra(klon))
+      ALLOCATE( aod670_dust_terra(klon))
+      ALLOCATE( aod670_dustsco_terra(klon))
+      ALLOCATE( aod865_terra(klon))
+      ALLOCATE( aod865_tr2_terra(klon))
+      ALLOCATE( aod865_ss_terra(klon))
+      ALLOCATE( aod865_dust_terra(klon))
+      ALLOCATE( aod865_dustsco_terra(klon))
+
+      ALLOCATE( aod550_aqua(klon))
+      ALLOCATE( aod550_tr2_aqua(klon))
+      ALLOCATE( aod550_ss_aqua(klon))
+      ALLOCATE( aod550_dust_aqua(klon))
+      ALLOCATE( aod550_dustsco_aqua(klon))
+      ALLOCATE( aod670_aqua(klon))
+      ALLOCATE( aod670_tr2_aqua(klon))
+      ALLOCATE( aod670_ss_aqua(klon))
+      ALLOCATE( aod670_dust_aqua(klon))
+      ALLOCATE( aod670_dustsco_aqua(klon))
+      ALLOCATE( aod865_aqua(klon))
+      ALLOCATE( aod865_tr2_aqua(klon))
+      ALLOCATE( aod865_ss_aqua(klon))
+      ALLOCATE( aod865_dust_aqua(klon))
+      ALLOCATE( aod865_dustsco_aqua(klon))
 
       ALLOCATE(  sconc01(klon)     )
@@ -1918,5 +501,5 @@
       ALLOCATE(  trm05(klon)     )
 
-
+! Lessivage
       ALLOCATE(  flux01(klon)     )
       ALLOCATE(  flux02(klon)     )
@@ -1984,7 +567,5 @@
       ALLOCATE(  d_tr_uscav04(klon,klev))
       ALLOCATE(  d_tr_uscav05(klon,klev))
-      
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
       ALLOCATE(  d_tr_insc01(klon,klev))
       ALLOCATE(  d_tr_insc02(klon,klev))
@@ -2007,4 +588,5 @@
       ALLOCATE(  d_tr_ls04(klon,klev))
       ALLOCATE(  d_tr_ls05(klon,klev))
+
       ALLOCATE(  d_tr_dyn01(klon,klev))
       ALLOCATE(  d_tr_dyn02(klon,klev))
@@ -2012,4 +594,5 @@
       ALLOCATE(  d_tr_dyn04(klon,klev))
       ALLOCATE(  d_tr_dyn05(klon,klev))
+
       ALLOCATE(  d_tr_cl01(klon,klev))
       ALLOCATE(  d_tr_cl02(klon,klev))
@@ -2023,11 +606,4 @@
       ALLOCATE(  d_tr_th05(klon,klev))
 
-      ALLOCATE( sed_ss3D(klon,klev))
-      ALLOCATE( sed_dust3D(klon,klev))
-      ALLOCATE( sed_dustsco3D(klon,klev))
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
       ALLOCATE( sed_ss(klon))
       ALLOCATE( sed_dust(klon))
@@ -2036,4 +612,13 @@
       ALLOCATE( his_g2paer(klon))
 
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      ALLOCATE( sed_ss3D(klon,klev))
+      ALLOCATE( sed_dust3D(klon,klev))
+      ALLOCATE( sed_dustsco3D(klon,klev))
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+! histrac_spl
+!
       ALLOCATE( fluxbb(klon))
       ALLOCATE( fluxff(klon))
